1.
The Busy Executive's Database Guide
You Can Combat Computer Stress

2.
Cooking with Computers
title_id TC7777 is missing

3. 
Marjorie Green
Abraham Bennet

4.
Algodata Infosystems

5.
The Bsy Executive's Database Guide
Cooking with Computers
Straight Talk About Computers
But Is It User Friendly?
Secrets of Silicon Valley
Net Etiquitte